Get group by ID
GET/v1/groups/{identifier}2₽ per 2xx
Returns a group profile: title, description, member count, languages, administrators, URL history.
Authentication
Section titled “Authentication”Api-Key header required.
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
identifier |
string | yes | Numeric group ID or @username (e.g. example_group). |
Examples
Section titled “Examples”# By numeric IDcurl -H "Api-Key: $API_KEY" \ https://api.telesint.dev/v1/groups/12345
# By @usernamecurl -H "Api-Key: $API_KEY" \ https://api.telesint.dev/v1/groups/example_groupimport os, requests
def get_group(identifier: str | int) -> dict: response = requests.get( f"https://api.telesint.dev/v1/groups/{identifier}", headers={"Api-Key": os.environ["API_KEY"]}, timeout=10, ) response.raise_for_status() return response.json()["data"]
group = get_group("example_group")async function getGroup(identifier) { const res = await fetch( `https://api.telesint.dev/v1/groups/${identifier}`, { headers: { 'Api-Key': process.env.API_KEY } }, ); if (!res.ok) throw new Error(`HTTP ${res.status}`); const { data } = await res.json(); return data;}
const group = await getGroup('example_group');Response — 200 OK
Section titled “Response — 200 OK”{ "data": { "id": 12345, "url": "example_group", "h_url": [ { "value": "example_group_old", "update": "2021-01-01T00:00:00" }, { "value": "example_group_very_old", "update": "2020-06-01T00:00:00" } ], "title": "Example Group", "about": "Example Group About", "langs": [ { "lang_code": "ru", "name": "Russian" } ], "is_open": true, "users": 100, "admins": [ { "id": 12345, "is_creator": true, "role": "admin", "update": "2021-01-01T00:00:00" } ], "update": "2021-01-01T00:00:00", "create": "2021-01-01T00:00:00", "shadow": false }}Fields — data
Section titled “Fields — data”| Field | Type | Notes |
|---|---|---|
id |
integer | Immutable group ID. |
url |
string | null | Current @username. |
h_url |
array of history entry | Previous @usernames. |
title |
string | Group title. |
about |
string | null | Group description. |
langs |
array of { lang_code, name } |
Languages used in the group. |
is_open |
boolean | true when the member list is available in Telegram; false when it is hidden. |
users |
integer | Member count. |
admins |
array of admin | Group administrators. |
update |
string (date-time) | null | Last metadata update. |
create |
string (date-time) | null | When the group was added to the database. |
shadow |
boolean | null | Indicates whether the group member list is hidden; null when its value is unknown. |
History entry
Section titled “History entry”| Field | Type | Notes |
|---|---|---|
value |
string | Previous @username value. |
update |
string (date-time) | null | When the @username changed. |
| Field | Type | Notes |
|---|---|---|
id |
integer | Admin’s user ID. Resolve via GET /v1/users/{identifier}. |
role |
string | null | admin, owner, etc. |
is_creator |
boolean | null | true for the group creator. |
update |
string (date-time) | null | When the admin record was verified. |
Errors
Section titled “Errors”404— group not found.400— invalididentifier.- See Errors.
Related
Section titled “Related”- Get similar groups.
- Get user — resolve admins listed above.